{#
# This file is part of the DATAtourisme project.
# @author Conjecto <contact@conjecto.com>
# 2022
# SPDX-License-Identifier: GPL-3.0-or-later
# For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
#}

{% extends "_layout.html.twig" %}
{% import 'macros.html.twig' as appMacros %}

{% block title %}Mon profil{% endblock %}
{% set route = app.request.get('_route') %}

{% block content %}
    <!-- Content Header (Page header) -->
    {# <section class="content-header">
        <h1>{{  user.fullName }} {% if user.organization is not null %}<small>{{ user.organization.name }}</small>{% endif %}</h1>
    </section> #}

    <!-- Main content -->
    <section class="content">
        <div class="row">
            <div class="col-md-3">
                <!-- Profile Image -->
                <div class="box">
                    <div class="box-body pb-0">
                        <h3 class="profile-username text-center mt-0">{{ user.fullName }}</h3>
                        <p class="text-muted text-center">{{ user.organization }}</p>

                        <ul class="list-group list-group-unbordered m-0">
                            <li class="list-group-item">
                                <span class="pull-right">
                                    {{ appMacros.role_label(user.role) }}
                                </span>
                                <b>Rôle</b>
                            </li>
                            {% if user.producer is not null %}
                                <li class="list-group-item">
                                    <span class="pull-right">{{ user.producer }}</span>
                                    <b>Producteur</b>
                                </li>
                            {% endif %}
                            <li class="list-group-item">
                                <a class="pull-right">
                                    <span
                                        class="label label-{{ user.accountStatus.class }}">{{ user.accountStatus.label }}</span>
                                </a>
                                <b>Statut</b>
                            </li>
                            <li class="list-group-item">
                                <span class="pull-right">
                                    {% if user.lastLogin is defined %}
                                        {{ user.lastLogin | date('d/m/Y') }}
                                    {% endif %}
                                </span>
                                <b>Dernière connexion</b>
                            </li>
                        </ul>
                    </div>
                    <!-- /.box-body -->
                </div>
            </div>

            <!-- /.col -->
            <div class="col-md-9">
                <div class="nav-tabs-custom">
                    <ul class="nav nav-tabs">
                        {% block tabs %}
                            <li class="{{ 'account.user' in route ? 'active' }}">
                                <a href="{{ path('account.user') }}">Utilisateur</a>
                            </li>
                            <li class="{{ 'account.params' in route ? 'active' }}">
                                <a href="{{ path('account.params') }}">Paramètres</a>
                            </li>
                            {% if not is_granted('IS_IMPERSONATOR') %}
                                <li class="{{ 'account.administrate' in route ? 'active' }}">
                                    <a href="{{ path('account.administrate') }}">Administration</a>
                                </li>
                            {% endif %}
                        {% endblock %}
                    </ul>
                    <div class="tab-content no-padding">
                        <!-- tab-pane -->
                        <div class="active tab-pane">
                            {% block subcontent %}{% endblock %}
                        </div>
                        <!-- /.tab-pane -->
                    </div>
                </div>
                <!-- /.nav-tabs-custom -->
            </div>
            <!-- /.col -->
        </div>
        <!-- /.row -->
    </section>
    <!-- /.content -->
{% endblock %}
